c----------------------------------------------------------------------
c    @(#)zdemwork.h   version 1.2   created 02/16/99 09:52:42
c    Last modified:    4-Jan-1999 16:07:34   klf 
C_Groups @(#) screamer
c----------------------------------------------------------------------
c *****************************************************************************
c  This is the common block used for the ZDEM working arrays.
c  To get this into the program, use
c    INCLUDE  'zdemwork.h'   .
c *****************************************************************************
c   file zdemwork.h   kws   Mar. 2, 1994
c  2014-02-06 RBS: Reordered the integer variable to the last location in
c             the circuit common. This is to make 64 bit padding work.
c  2014-04-11 RBS: I changed the /circuit/ dimension call to explicit
c             real and explicit integer
c
c Voltages, currents, circuit elements, etc.
c
      real
     & v(max_nodes,max_branches),
     & vold(max_nodes,max_branches),
     & vn(max_nodes,max_branches),
     & vsour(max_branches),
     & zir(max_nodes,max_branches),
     & zirn(max_nodes,max_branches),
     & zirold(max_nodes,max_branches),
     & zib(max_nodes,max_branches),
     & g(max_nodes,max_branches),
     & zlr(max_nodes,max_branches),
     & c(max_nodes,max_branches),
     & rr(max_nodes,max_branches),
     & gdot(max_nodes,max_branches),
     & zlrdot(max_nodes,max_branches),
     & cdot(max_nodes,max_branches),
     & rrdot(max_nodes,max_branches),
     & zlrechk(max_nodes,max_branches),
     & cechk(max_nodes,max_branches),
     & uservars(max_blocks,max_branches,max_uservars)

      integer nr(max_branches)
c
      common /circuit/
     & v, vold, vn, vsour, zir, zirn, zirold, zib, g, zlr, c, rr,
     & gdot, zlrdot, cdot, rrdot, zlrechk, cechk, uservars,
     & nr
c
c Various indexing arrays.
c
      integer
     & iflg(max_nodes,max_branches),
     & indexb(2,max_branches),
     & indexv(3,max_var_elem),
     & indexvs(2,max_volt_source),
     & indexcs(2,max_curr_source),
     & indexmitl(5,max_mitl),
     & indextrnf(5,max_transformer),
     & lastvoltf_time(max_volt_source),
     & lastcurrf_time(max_curr_source),
     & lasttabm_time(max_var_elem),
     & nbv(0:max_branches),
     & nbe(max_branches),
     & nadd_array(max_branches)
c
      common /indexing/
     & iflg, indexb, indexv, indexvs, indexcs, indexmitl, indextrnf,
     & lastvoltf_time, lastcurrf_time, lasttabm_time, nbv, nbe, 
     & nadd_array
c
c Set up the working arrays and miscellaneous typing.
c
      real*8
     & bb(max_bb), cc(max_cc), a(max_a), x(max_x),
     & raia, raic, raig, sum, aic, aig, cmx
c
      common /scratch/
     & bb, cc, a, x,
     & raia, raic, raig, sum, aic, aig, cmx
